/*Canopy - The next generation of stoner streaming software
Copyright (C) 2024-2026 Rainbownapkin and the TTN Community

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.*/

//I could make a class like the others but it's so god-damned basic why bother?
async function navbarLogin(event){
    if(!event || !event.key || event.key == "Enter"){
        var user = document.querySelector("#username-prompt").value;
        var pass = document.querySelector("#password-prompt").value;
        var rememberMe = document.querySelector("#remember-me").checked;

        //If no user or pass is presented
        if(user == "" || pass == ""){
            //Go to login page
            window.location = '/login'
        }

        utils.ajax.login(user, pass, rememberMe);
    }
}

//assign events
if(document.querySelector("#username-prompt")){
    document.querySelector("#username-prompt").addEventListener("keydown", navbarLogin);
    document.querySelector("#password-prompt").addEventListener("keydown", navbarLogin);
    document.querySelector("#login-button").addEventListener("click", navbarLogin);
}

if(document.querySelector("#logout-button")){
    document.querySelector("#logout-button").addEventListener("click", utils.ajax.logout);
}